%define snap	20040907

%define name	openca
%define version	0.9.2.2
#%define release	0.%{snap}.1mdk
%define release	2mdk

Summary:	OpenCA Certification Authority
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Servers
URL:		http://www.openca.org/
#Source0:	openca-%{version}-%{snap}.tar.bz2
Source0:	openca-%{version}.tar.bz2
Source1:	openca.init.bz2
Source2:	README.Mandrake.bz2
Patch0:		openca-0.9.2-disable_external_modules_and_optional_c_modules.diff.bz2
Patch1:		openca-0.9.2-RC4-bindir.diff.bz2
Patch2:		openca-0.9.2-20040928-install_fix.diff.bz2
BuildRequires:	openssl >= 0.9.7
BuildRequires:	openldap-devel
BuildRequires:	perl-devel
BuildRequires:	libxslt-proc
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	file
#BuildRequires:	fop
BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The OpenCA Project is a collaborative effort to develop a robust,
full-featured and Open Source out-of-the-box Certification
Authority implementing the most used protocols with full-strength
cryptography world-wide. OpenCA is based on many Open-Source
Projects. Among the supported software is OpenLDAP, OpenSSL,
Apache Project, Apache mod_ssl. 

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%package	common
Summary:	OpenCA common components
Group:		System/Servers
PreReq:		apache2-mod_ssl
PreReq:		openca-sv
PreReq:		rpm-helper
Requires:	glibc-i18ndata
Requires:	openssl >= 0.9.7
Requires:	perl-Net-Server >= 0.86
Requires:	MailTransportAgent
Requires:	perl-CGI-Session
Requires:	perl-Convert-ASN1
Requires:	perl-Digest-SHA1
Requires:	perl-ldap
Requires:	perl-libintl-perl
Requires:	perl-MailTools
Requires:	perl-MIME-Base64
Requires:	perl-MIME-tools
Requires:	perl-MIME-Lite
Requires:	perl-OpenCA-AC
Requires:	perl-OpenCA-Configuration
Requires:	perl-OpenCA-CRL
Requires:	perl-OpenCA-Crypto
Requires:	perl-OpenCA-DB
Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-LDAP
Requires:	perl-OpenCA-Log
Requires:	perl-OpenCA-OpenSSL
Requires:	perl-OpenCA-PKCS7
Requires:	perl-OpenCA-REQ
Requires:	perl-OpenCA-Session
Requires:	perl-OpenCA-StateMachine
Requires:	perl-OpenCA-Tools
Requires:	perl-OpenCA-TRIStateCGI
Requires:	perl-OpenCA-UI-HTML
Requires:	perl-OpenCA-X509
Requires:	perl-OpenCA-XML-Cache
Requires:	perl-URI
Requires:	perl-X500-DN
#Requires:	perl-XML-Grove
#Requires:	perl-XML-Twig
#Requires:	perl-XML-XPath
%define _requires_exceptions perl(OpenCA::\@dbmodule\@)

%description	common
OpenCA common components. This package includes all parts of
OpenCA which are common for the CA and the RAServer and are not
included in a module.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This package contains common functionality required everywhere.

%package	web-interfaces-ca
Summary:	OpenCA Certification Authority
Group:		System/Servers
PreReq:		openca-common
PreReq:		openca-web-interfaces-node
# OE: Please do not remove this commented stuff
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-X509
Provides:	%{name}

%description	web-interfaces-ca
The OpenCA Project is a collaborative effort to develop a robust,
full-featured and Open Source out-of-the-box Certification
Authority implementing the most used protocols with full-strength
cryptography world-wide. OpenCA is based on many Open-Source
Projects. Among the supported software is OpenLDAP, OpenSSL,
Apache Project, Apache mod_ssl. 

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This package is designed to run on a stand alone machine, without
Internet access, and is used to sign authorized requests.

%package	web-interfaces-node
Summary:	OpenCA Node Management at CA level
Group:		System/Servers
PreReq:		openca-common
# OE: Please do not remove this commented stuff
#Requires:	perl-ldap
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-X509

%description	web-interfaces-node
OpenCA Node Management at CA level

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This packages provide the basic node handling procedures to the
ca|ra|ldap|pub interfaces. It manages backups and dataexchange.

%package	web-interfaces-ldap
Summary:	OpenCA Certification Authority
Group:		System/Servers
PreReq:		openca-common
PreReq:		openca-web-interfaces-node
# OE: Please do not remove this commented stuff
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
Requires:	perl-OpenCA-LDAP
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-X509
#Requires:	perl-ldap

%description	web-interfaces-ldap
OpenCA LDAP

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This package is designed to handle LDAP management.

%package	web-interfaces-pub
Summary:	OpenCA Public Web Interface
Group:		System/Servers
PreReq:		openca-common
PreReq:		openca-web-interfaces-node
# OE: Please do not remove this commented stuff
#Requires:	perl-ldap
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-X509

%description	web-interfaces-pub
OpenCA Public Web Interface

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This package is designed to run on a secure networked host that is
used for placing requests.

%package	web-interfaces-ra
Summary:	OpenCA Registration Authority
Group:		System/Servers
PreReq:		openca-common
PreReq:		openca-web-interfaces-node
# OE: Please do not remove this commented stuff
#Requires:	perl-ldap
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-X509

%description	web-interfaces-ra
OpenCA Registration Authority

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

This package is designed to run on a secure networked host that is
used for placing requests.

%package	web-interfaces-scep
Summary:	OpenCA SCEP Interface
Group:		System/Servers
PreReq:		openca-common
PreReq:		openca-web-interfaces-node
# OE: Please do not remove this commented stuff
#Requires:	perl-ldap
#Requires:	perl-MIME-Base64
#Requires:	perl-OpenCA-Configuration
#Requires:	perl-OpenCA-CRL
#Requires:	perl-OpenCA-DB
#Requires:	perl-OpenCA-DBI
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-REQ
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-X509

%description	web-interfaces-scep
OpenCA SCEP Interface

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

Simple Certificate Enrollment Protocol was developed by Cisco
and is used to handle the communication between a PKI and
networkcomponents like router, switches and other (perhaps
software) VPN components.

%package	doc
Summary:	OpenCA documentation
Group: 		System/Servers

%description	doc
OpenCA documentation
This package includes all available documentation of OpenCA.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

#%setup -q -n openca-%{version}-%{snap}
%setup -q -n openca-%{version}

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch0 -p1
%patch1 -p1
%patch2 -p0

bzcat %{SOURCE1} > openca.init
bzcat %{SOURCE2} > README.Mandrake

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export CFLAGS="%{optflags}"
export WANT_AUTOCONF_2_5=1
rm -f configure; aclocal-1.7 && autoconf --force && autoheader

%configure2_5x \
    --prefix=%{_datadir}/openca \
    --enable-package-build \
    --with-openca-user=openca \
    --with-openca-group=openca \
    --with-openca-prefix=%{_datadir}/openca \
    --with-etc-prefix=%{_sysconfdir}/openca \
    --with-lib-prefix=%{_datadir}/openca \
    --with-var-prefix=%{_localstatedir}/openca \
    --with-web-host="localhost" \
    --with-httpd-user=apache \
    --with-httpd-group=apache \
    --with-cgi-fs-prefix=%{_var}/www/cgi-bin/openca \
    --with-cgi-url-prefix=/cgi-bin/openca \
    --with-htdocs-fs-prefix=%{_var}/www/html/openca \
    --with-httpd-url-prefix=/openca \
    --with-htdocs-url-prefix=/openca \
    --with-httpd-fs-prefix=%{_var}/www \
    --with-engine=no \
    --enable-db \
    --enable-dbi \
    --enable-rbac \
    --with-module-prefix="%{_libdir}"

make ca ext doc

# _really_ make docs...
# duh!, it seems to require java, yuck!
#pushd docs/guide
#    make \
#	DOCBOOK="%{_datadir}/sgml/docbook/xsl-stylesheets" \
#	APACHE_FOP_DIR="%{_bindir}"
#popd


# fix install as non root
export INST_UID=`id -nu`
export INST_GID=`id -ng`

find -name "Makefile*" | xargs perl -pi -e "s|\\\${httpd_user}|$INST_UID|g;s|\\\${httpd_group}|$INST_GID|g;s|\\\${openca_user}|$INST_UID|;s|\\\${openca_group}|$INST_GID|g"

# revert the utterly broken install to a stage where it did work...
find -name "Makefile*" | xargs perl -pi -e "s|\\\$\(MAKE\) __install_dir|\\\$\(INSTALL\) -d -c|g;s|USER=$INST_UID||g;s|GROUP=$INST_GID||g;s|DIR=||g;s|MODE=|-m |g"

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

# weird stuff ahead, begin
# (close your eyes, don't ask...)
INSTALL_STUFF="ca common ldap pub ra scep node"

for i in $INSTALL_STUFF; do
    make \
    DEST_BINDIR="%{buildroot}%{_bindir}" \
    DEST_DATADIR="%{buildroot}%{_datadir}/openca" \
    DEST_LIBDIR="%{buildroot}%{_libdir}" \
    DEST_MANDIR="%{buildroot}%{_mandir}" \
    DEST_SBINDIR="%{buildroot}%{_sbindir}" \
    DEST_LIB_STYLESHEET_DIR="%{buildroot}/installed_stuff-${i}/%{_datadir}/openca/stylesheets" \
    DESTDIR="%{buildroot}/installed_stuff-${i}" \
    install-${i} > /dev/null
done

for i in $INSTALL_STUFF; do
    # maybe do something clever with this file list later on?
    find %{buildroot}/installed_stuff-${i} -type f | sed "s@^%{buildroot}/installed_stuff-${i}@@g" > ${i}.files
    cp -rp %{buildroot}/installed_stuff-${i}/* %{buildroot}/
    rm -rf %{buildroot}/installed_stuff-${i}
done
# weird stuff ahead, end
# (it's safe to open your eyes now...)

# install a simple sysv script
install -d %{buildroot}%{_initrddir}
install -m0755 openca.init %{buildroot}%{_initrddir}/openca

# fix docs
rm -rf html installed_docs guide

# just use this hack for now...
touch docs/guide/openca-guide.ps

make \
    DEST_MANDIR="%{buildroot}%{_mandir}" \
    doc_prefix="../installed_docs" \
    DOCBOOK="%{_datadir}/sgml/docbook/xsl-stylesheets" \
    install-doc > /dev/null
cp -rp installed_docs/guide .

# the chunked guide is much nicer, so prepare it for the %%doc section
mkdir -p html/images
cp docs/guide/html_chunked/*.html html/
cp guide/*.css html/
cp docs/guide/images/*.jpeg html/images/
chmod 644 html/*.html html/images/*.jpeg
ln -s %{_docdir}/%{name}-doc-%{version}/html %{buildroot}%{_var}/www/html/openca/docs

%pre	common
%_pre_useradd openca %{_datadir}/openca /bin/sh

%post	common
%_post_service openca

%preun	common
%_preun_service openca

%postun	common
%_postun_userdel openca

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files	common
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO README.Mandrake
%attr(0755,root,root) %{_initrddir}/openca
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/access_control
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/bp
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/bp/functions
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/database
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/openssl
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/openssl/extfiles
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/openssl/openssl
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/rbac
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/rbac/cmds
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/scep
%attr(0755,apache,apache) %dir %{_sysconfdir}/openca/servers
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/*.xml*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/bp/*.xml*
%attr(0644,openca,openca) %{_sysconfdir}/openca/bp/*.txt
%attr(0644,openca,openca) %{_sysconfdir}/openca/bp/functions/*.txt
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/database/*.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/openssl/openssl.cnf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/openssl/sample-openssl.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/openssl/sample-openssl.ext*
%config(noreplace) %attr(0644,apache,apache) %{_sysconfdir}/openca/openssl/extfiles/*.ext*
%config(noreplace) %attr(0644,apache,apache) %{_sysconfdir}/openca/openssl/openssl/*.conf*
%config(noreplace) %attr(0644,apache,apache) %{_sysconfdir}/openca/rbac/*.xml*
%config(noreplace) %attr(0644,apache,apache) %{_sysconfdir}/openca/rbac/cmds/*.xml*
%config(noreplace) %attr(0644,apache,apache) %{_sysconfdir}/openca/rbac/cmds/*.pl
%config(noreplace) %attr(0644,openca,openca) %{_datadir}/openca/mails/*/*.msg*
%attr(0755,root,root) %{_sysconfdir}/openca/configure_etc.sh
%attr(0755,root,root) %{_sysconfdir}/openca/openca_rc
%attr(0755,root,root) %{_sysconfdir}/openca/openca_start*
%attr(0755,root,root) %{_sysconfdir}/openca/openca_stop*
%attr(0755,openca,openca) %{_bindir}/openca-addcert
%attr(0755,openca,openca) %{_bindir}/openca-backup
%attr(0755,openca,openca) %{_bindir}/openca-browserexp
%attr(0755,openca,openca) %{_bindir}/openca-configure
%attr(0755,openca,openca) %{_bindir}/openca-dbbuild
%attr(0755,openca,openca) %{_bindir}/openca-dbcreate
%attr(0755,openca,openca) %{_bindir}/openca-dblist
%attr(0755,openca,openca) %{_bindir}/openca-dbview
%attr(0755,openca,openca) %{_bindir}/openca-digest
%attr(0755,openca,openca) %{_bindir}/openca-getcert
%attr(0755,openca,openca) %{_bindir}/openca-getitem
%attr(0755,openca,openca) %{_bindir}/openca-importcerts
%attr(0755,openca,openca) %{_bindir}/openca-importreqs
%attr(0755,openca,openca) %{_bindir}/openca-newcert
%attr(0755,openca,openca) %{_bindir}/openca-unrevoke
%attr(0644,openca,openca) %{_datadir}/openca/bp/*.sub
%attr(0644,openca,openca) %{_datadir}/openca/cmds/*
%attr(0644,openca,openca) %{_datadir}/openca/functions/*
%attr(0644,openca,openca) %{_datadir}/openca/locale/*/LC_MESSAGES/*.mo
#%attr(0755,openca,openca) %dir %{_datadir}/openca/servers
%attr(0644,openca,openca) %{_datadir}/openca/stylesheets/*.css
%attr(0644,root,root) %{_mandir}/man3/base.3*
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/bp
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/bp/users
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/bp/dataexchange
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/bp/dataexchange/pkcs12
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/cacerts
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/certs
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/chain
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/crls
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/keys
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/crypto/reqs
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/db
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/enroll
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/download
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/receive
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/upload
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/xml
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/xml/class
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/xml/level
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/xml/session
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/log/xml/time
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/mail
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/mail/crins
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/mail/default
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/session
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/session/cookie
%attr(0755,apache,apache) %dir %{_localstatedir}/openca/tmp
%attr(0644,apache,apache) %{_localstatedir}/openca/log/xml_cache.log
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/chain/Makefile
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/serial
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/index.txt
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/crlnumber
#%attr(0644,apache,apache) %{_localstatedir}/openca/mail/crins/mailcounter
#%attr(0644,apache,apache) %{_localstatedir}/openca/mail/default/mailcounter
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/cacerts/*.crt
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/cacerts/*.pem
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/cacerts/*.cer
%attr(0644,apache,apache) %{_localstatedir}/openca/crypto/keys/*.pem

%files	web-interfaces-ca
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/ca.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/ca.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/ca
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/ca
%attr(-,openca,openca) %{_var}/www/html/openca/ca
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/ca

%files	web-interfaces-node
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/node.conf*
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/common.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/node.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/node
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca/node
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/node/node
%attr(-,openca,openca) %{_var}/www/html/openca/node
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/node

%files	web-interfaces-ldap
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/ldap.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/ldap.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/ldap
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca/ldap
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/ldap/ldap
%attr(-,openca,openca) %{_var}/www/html/openca/ldap
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/ldap

%files	web-interfaces-pub
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/pub.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/pub.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/pub
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca/pub
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/pub/pki
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/pub/download.cer
%attr(-,openca,openca) %{_var}/www/html/openca/pub
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/pub

%files	web-interfaces-ra
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/ra.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/ra.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/ra
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca/ra
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/ra/RAServer
%attr(-,openca,openca) %{_var}/www/html/openca/ra
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/ra

%files	web-interfaces-scep
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%config(noreplace) %attr(0640,openca,apache) %{_sysconfdir}/openca/servers/scep.conf*
%config(noreplace) %attr(0644,openca,openca) %{_sysconfdir}/openca/access_control/scep.xml*
#%attr(-,openca,openca) %{_datadir}/openca/servers/scep
%attr(0711,openca,openca) %dir %{_var}/www/cgi-bin/openca/scep
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/scep/scep
%attr(0755,openca,openca) %{_var}/www/cgi-bin/openca/scep/pkiclient.exe
%attr(0750,apache,apache) %dir %{_localstatedir}/openca/session/cookie/scep

%files doc
%defattr(-,root,root)
%doc CHANGES HISTORY I18N LICENSE NOTES.Chain README STATUS THANKS TODO
%doc html guide docs/howto/wallus.txt
%doc contrib/apache contrib/openldap contrib/openssl
%doc docs/shared/cgi-public.txt docs/shared/openca-structure.txt
%{_var}/www/html/openca/docs

%changelog
* Thu Aug 25 2005 Lenny Cartier <lenny@mandriva.com> 0.9.2.2-2mdk
- rebuild without requiring liballegro testing devel

* Tue Mar 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2.2-1mdk
- 0.9.2.2
- strip away annoying ^M
- fixed the init script
- added a virtual provide for the web-interfaces-ca sub package
  on openca. "urpmi openca" should now install the minimum...

* Tue Nov 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2.1-1mdk
- 0.9.2.1
- drop P3, it's implemented upstream

* Tue Oct 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2.0-1mdk
- 0.9.2.0
- added P1 & P2
- misc spec file fixes

* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040907.1mdk
- use a snap from 2004-09-07, adresses CAN-2004-0787
- new P0

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040905.1mdk
- use a current snap (200400905), more bugfixes.
- fix deps

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040826.1mdk
- use a current snap (200400826), more bugfixes.

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040815.1mdk
- use a current snap (200400815), more bugfixes.

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040731.1mdk
- use a current snap (20040731), more bugfixes.
- added more info in S2

* Tue Jul 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040727.1mdk
- use a current snap (20040727), more bugfixes.

* Tue Jul 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040720.1mdk
- use a current snap (20040720), more bugfixes.

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040713.1mdk
- use a current snap (20040713) as it contains a lot of bugfixes and
  some security fixes.

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.RC5.2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.RC5.1mdk
- 0.9.2-RC5

* Sat May 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040529.1mdk
- 20040529

* Mon May 24 2004 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040524.1mdk
- 20040524

* Thu May 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040513.1mdk
- 20040513

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040504.2mdk
- make openca-common and openca-web-interfaces-ldap require external perl
  modules as find-requires can't seem to do its job here.

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.20040504.1mdk
- use a cvs snap
- drop P2
- broke out ocspd, scep and sv into its own packages (easier to maintain)
- new P0
- BuildArch: noarch

* Thu Apr 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.4mdk
- added P2 (CVS fixes)

* Thu Apr 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.3mdk
- requires perl-Net-Server >= 0.86
- added S3

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.2mdk
- 0.9.2-RC4
- rediffed P0
- added P1

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-0.1mdk
- initial Mandrake package, used bits and pieces from the provided spec
  files and also from the latest work by Michael Bell
- added P0
- added P10 and S1 (OCSPD)
- added S2
